package pascal.table;

import pascal.iterator.*;

public class Function extends Entry implements hasParameter, hasType
{
  private Type type;
  private ConcreteAggregate list;
  private int label;
  private int val1, val2;

  public Function(String name, ConcreteAggregate list, Type type){
    super(name);
    this.type = type;
    this.list = list;
    label = 0;
    val1 = 0;
    val2 = 0;
  }

  public Type getType(){
    return type;
  }

  public Iterator getParameter(){
    return list.iterator();
  }

  public int getNumberOfParameter(){
   return list.getLength();
  }

  public int getLabel(){
    return label;
  }

  public void setLabel(int label){
    this.label = label;
  }

  public int getVal2(){
    return val2;
  }

  public int getVal1(){
    return val1;
  }

  public void setVal1(int val1){
    this.val1 = val1;
    val2 = val1;
  }

  public void setVal2(int val2){
    this.val2 = val2;
  }
}